For the complete documentation index, see llms.txt. This page is also available as Markdown.

Remove a role assignment

Removes a specific role assignment from the user.

Required permissions: TENANT_USER_ROLE_ASSIGNMENT

delete
/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantUserUidstringRequired

Reference to a TenantUser.

Pattern: ^[A-Za-z0-9-_]+
tenantUserRoleAssignmentUidstringRequired

Reference to a TenantUserRoleAssignment.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

Role assignment removed

No content

delete/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid}
DELETE /v2/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Role assignment removed

No content

Last updated

Was this helpful?